import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;

public class ZeichenBlatt  extends Actor {

    Ball meinBall[];
    int H[] = new int[1000000];
    int count=0;

    public ZeichenBlatt(Ball ball[]) {
        GreenfootImage img = new GreenfootImage(225,150);
        img.setColor(Color.WHITE);  
        img.fill();
        meinBall = ball;        
        for(int i = 0; i<meinBall.length; i++){
            
            int x = 10+i*30;
            int h = 0;
            int b = 25;
            int y = 150-(20+h);
            
            img.setColor(Color.RED); 
            img.fillRect(x,y,b,h);
            
            img.setColor(Color.BLACK); 
            img.drawRect(x,y,b,h);
            
        }
        
        img.setTransparency(164);
        setImage(img);
    }    
    
    public void act() {
        GreenfootImage img = getImage();
        img.clear();
        img.setColor(Color.WHITE);  
        img.fill();
        int links = 0;
        
        for(int i = 0; i<meinBall.length; i++){
            if(meinBall[i].px < getWorld().getWidth()/2) links++;
        }
        
        count++;
        H[links]++;
        
        for(int i = 0; i<meinBall.length; i++){
            int x = 10+i*200/meinBall.length;
            int h = H[i]*200/count;
            int prozent = h/2;
            int b = 200/meinBall.length;
            int y = 150-(20+h);
            img.setColor(Color.RED); 
            img.fillRect(x,y,b,h);
            
            img.setColor(Color.BLACK); 
            img.drawRect(x,y,b,h);
            img.drawString("" + links,20,20);
            img.drawString("" + prozent,x+4,y-5);
       
            
        }
        
        
        
    }
}
